Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Tools/RobotConfiguration.h File Reference

Definition of class RobotConfiguration. More...

`#include "Tools/MessageQueue/InMessage.h"`
`#include "Platform/SystemCall.h"`
`#include "Tools/Actorics/RobotDimensions.h"`

Include dependency graph for RobotConfiguration.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | RobotCalibration
| A class that represents the calibration of the robot. More...
class | RobotConfiguration
| A class that represents the configuration of the robot. More...
## Functions
RobotConfiguration & | getRobotConfiguration ()
| Returns a reference to a process wide RobotConfiguration configuration.
void | setRobotConfiguration (RobotConfiguration *configuration)
| Sets the robot configuration of this process.
In & | operator>> (In &stream, RobotConfiguration &robotConfiguration)
| Streaming operator that reads a RobotConfiguration from a stream.
Out & | operator<< (Out &stream, const RobotConfiguration &robotConfiguration)
| Streaming operator that writes a RobotConfiguration to a stream.

## Detailed Description

Definition of class RobotConfiguration.

Author:
  Thomas Röfer

Definition in file RobotConfiguration.h.

## Function Documentation

RobotConfiguration& getRobotConfiguration | ( |  | ) |

| Returns a reference to a process wide RobotConfiguration configuration. Definition at line 35 of file RobotConfiguration.cpp. References theRobotConfiguration. Referenced by Field::addPlayer(), Kinematics::calcAbsRollJoints(), Kinematics::calcHeadHeight(), Kinematics::calcHighestPossibleTilt(), Kinematics::calcLowestPossibleTilt(), Kinematics::calcNeckAndLegPositions(), Kinematics::calcNoseHeight(), Kinematics::calcRelativeRobotVertices(), Kinematics::calculateCameraMatrix(), GT2005BallLocator::calculatePanningVelocityValue(), Geometry::calculateScaleFactor(), BallPercept::checkOffset(), GT2004SelfLocator::draw(), GT2005StableSelfLocator::draw(), SlamSelfLocator::draw(), GT2005ImageProcessor::execute(), SlamImageProcessor::execute(), VLCImageProcessor::execute(), GT2005GetupEngine::executeParameterized(), GT2004WalkingEngine::executeParameterized(), GT2005WalkingEngine::executeParameterized(), InvKinWalkingEngine::executeParameterized(), Kinematics::getAbsoluteRobotVertices(), Kinematics::getRelativeRobotVertices(), GT2005ColorCorrector::GT2005ColorCorrector(), GT2005HeadControl::GT2005HeadControl(), Cognition::handleMessage(), Motion::handleMessage(), HeadControl::HeadControl(), GT2005HeadPathPlanner::init(), InvKinWalkingParameters::init(), Cognition::init(), Kinematics::jointsFromLegPosition(), Kinematics::kneePositionFromJoints(), Kinematics::legPositionFromJoints(), ColorCorrector::load(), GT2004ParametersSet::load(), Debug::main(), MotionControl::MotionControl(), Process::Process(), GT2003MotionNetSpecialActions::readOdometryTable(), RobotStateDetector::RobotStateDetector(), GT2004ParametersSet::save(), SensorDataProcessor::SensorDataProcessor(), PIDData::setHeadToDefaults(), PIDData::setToDefaults(), SlamColorCorrector::SlamColorCorrector(), Kinematics::transformToLegBase(), RobotPoseSymbols::updateGoalieDefendPosition(), VLCColorCorrector::VLCColorCorrector(), and WalkingEngine::WalkingEngine().

void setRobotConfiguration | ( | RobotConfiguration * | configuration | ) |

  | Sets the robot configuration of this process. Parameters:
  configuration | The configuration of this process.
Definition at line 30 of file RobotConfiguration.cpp. References theRobotConfiguration. Referenced by Process::Process(), and Process::processMain().

In& operator>> | ( | In & | stream,
|  | RobotConfiguration & | robotConfiguration
| ) |

  | Streaming operator that reads a RobotConfiguration from a stream. Parameters:
  stream | The stream from which is read.
  robotConfiguration | The RobotConfiguration object.
Returns: The stream. Definition at line 116 of file RobotConfiguration.cpp. References In::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const RobotConfiguration & | robotConfiguration
| ) |

  | Streaming operator that writes a RobotConfiguration to a stream. Parameters:
  stream | The stream to write on.
  robotConfiguration | The RobotConfiguration object.
Returns: The stream. Definition at line 122 of file RobotConfiguration.cpp. References Out::write().

Here is the call graph for this function: